/* Switcher */

.map-type-switcher-container {
    pointer-events: all;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    font-size: 1rem;
    cursor: pointer;
    user-select: none;
    color: var(--map-type-switcher-text);
}

.map-type-switcher-track {
    width: 50px;
    height: 25px;
    background: var(--map-type-switcher-bg);
    border-radius: 30px;
    position: relative;
    cursor: pointer;
    transition:
        background 0.3s ease-in-out,
        box-shadow 0.3s ease-in-out;
}
body.hasHover .map-type-switcher-container:hover .map-type-switcher-track {
    box-shadow: 0 0 0 3px #ffffff80;
}

.map-type-switcher-track.active {
    background: var(--map-type-switcher-active-bg);
}

.map-type-switcher-thumb {
    width: 21px;
    height: 21px;
    background: var(--map-type-switcher-thumb);
    border-radius: 50%;
    position: absolute;
    top: 2px;
    left: 2px;
    transition: left 0.3s;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.3);
}

.map-type-switcher-track.active .map-type-switcher-thumb {
    left: 27px;
}
